Uploaded image for project: 'Alfresco'
  1. Alfresco
  2. ALF-20032

Disabled Google Docs V1 breaks backwards compatibility - model not loaded.

    Details

    • Regression:
      Regression
    • Resolution Time Custom Field:
      83 weeks, 2 days, 5 hours, 52 minutes, 4 seconds

      Description

      Since for 4.2.d the Subsystem for Google Docs V1 is disabled. This was done by commenting the bean with id="googledocs" in bootstrap-context.xml.

      Problem here is that installs that have used this version of Google docs have nodes that have used the V1 Google Docs model with prefix gd. Since the subsystem now is not loaded, the data model is not loaded.
      This breaks indexing of those nodes and possibly custom code (that of course can be rewritten).

      This worked in 4.2.c

      Possible solutions

      • Document this, and document how to load this model as a custom model.
      • Provide a patch that removes all uses gd model aspects.
      • Still load the subsystem, but remove any beans that is not part of loading the model. That is, only load the model as part of the subssystem.
      • Move the gd model to be loaded as other models.

        Attachments

          Issue Links

            Structure

              Activity

                People

                • Assignee:
                  closedissues Closed Issues
                  Reporter:
                  loftux Peter Löfgren
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  7 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:
                    Date of First Response:

                    Structure Helper Panel